/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.watermeter.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.watermeter.custom.entity.meterRead.QyAndQd;
import com.tofly.watermeter.custom.entity.meterRead.ReadSearch;
import com.tofly.watermeter.entity.Qfcbplan;
import com.tofly.watermeter.entity.Qfcbplandetails;

import java.util.List;
import java.util.Map;

/**
 * 抄表计划表（年计划）
 *
 * @author wangjieliu
 * @date Fri Nov 05 00:00:00 CST 2021
 */
public interface QfcbplanService extends IService<Qfcbplan> {

    long makeYearPlan(Qfcbplan qfcbplan);

    boolean updateYearPlan(String ids , String isState,String isGeneral);

    boolean delYearPlan(String ids);

    IPage<Qfcbplan> getYearPlan(Page<Qfcbplan> page, Qfcbplan qfcbplan);

    List<Qfcbplandetails> getDeatilByPlan(ReadSearch search);

    boolean addDeatilPlan(Qfcbplandetails qfcbplandetails);

    IPage<Qfcbplandetails> getQyInfoByPlan(Page<Qfcbplandetails> page, Long planId, String cbqyBm , String isGeneral);

    boolean updateDeatilPlan(Qfcbplandetails qfcbplandetails);

    boolean deleteDeatilsPlan(String ids);

    List<Map> getCbry(Long departId);

    ResultRespone copyYearPlan(Long planId , String year , String descript);
}
